libzypp: zyppng::Context Class Reference

libzypp 17.36.6

Public Types | Public Member Functions | Private Member Functions | List of all members
zyppng::Context Class Reference

`#include <zypp/ng/context.h>`

Inheritance diagram for zyppng::Context:

## Public Types
using | ProvideType = Provide
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>

## Public Member Functions
| ZYPP_DECL_PRIVATE_CONSTR (Context)
template<typename AsyncRes>
void | execute (AsyncOpRef< AsyncRes > op)
ProvideRef | provider () const
KeyRingRef | keyRing () const
zypp::ZConfig & | config ()
zypp::ResPool | pool ()
| Access to the resolvable pool.
zypp::ResPoolProxy | poolProxy ()
| Pool of ui::Selectable.
zypp::sat::Pool | satPool ()
| Access to the sat pool.
Public Member Functions inherited from zyppng::UserInterface
| ZYPP_DECL_PRIVATE_CONSTR (UserInterface)
void | sendUserRequest (const UserRequestRef &event)
SignalProxy< void(UserRequestRef event)> | sigEvent ()
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Private Member Functions
void | executeImpl (const AsyncOpBaseRef &op)

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
Protected Member Functions inherited from zyppng::UserInterface
| UserInterface (UserInterfacePrivate &d)
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

The Context class is the central object of libzypp, carrying all state that is required to manage the system.

Definition at line 38 of file context.h.

## Member Typedef Documentation

## ◆ ProvideType

using zyppng::Context::ProvideType = Provide

Definition at line 45 of file context.h.

## Member Function Documentation

## ◆ ZYPP_DECL_PRIVATE_CONSTR()

zyppng::Context::ZYPP_DECL_PRIVATE_CONSTR | ( | Context |  | ) |

## ◆ execute()

template<typename AsyncRes>

void zyppng::Context::execute | ( | AsyncOpRef< AsyncRes > | op | ) |
| inline

Definition at line 50 of file context.h.

## ◆ provider()

ProvideRef zyppng::Context::provider | ( |  | ) | const

Definition at line 32 of file context.cc.

## ◆ keyRing()

KeyRingRef zyppng::Context::keyRing | ( |  | ) | const

Definition at line 38 of file context.cc.

## ◆ config()

zypp::ZConfig & zyppng::Context::config | ( |  | ) |

Definition at line 43 of file context.cc.

## ◆ pool()

zypp::ResPool zyppng::Context::pool | ( |  | ) |

Access to the resolvable pool.

Definition at line 48 of file context.cc.

## ◆ poolProxy()

zypp::ResPoolProxy zyppng::Context::poolProxy | ( |  | ) |

Pool of ui::Selectable.

Based on the ResPool, ui::Selectable groups ResObjetcs of same kind and name.

Definition at line 53 of file context.cc.

## ◆ satPool()

zypp::sat::Pool zyppng::Context::satPool | ( |  | ) |

Access to the sat pool.

Definition at line 58 of file context.cc.

## ◆ executeImpl()

void zyppng::Context::executeImpl | ( | const AsyncOpBaseRef & | op | ) |
| private

Definition at line 63 of file context.cc.

The documentation for this class was generated from the following files:

- zypp/ng/context.h
- zypp/ng/context.cc